Subject: RE: [Asrg] New proposal for spam blocking: Greylisting

From: "Clayton, Nik [IT]" <[email-masked]>
Date: Tue, 24 Jun 2003 13:50:15 +0100

> Over the past few months, I've been working on a new method of blocking 
> spam that I've termed "Greylisting".  From my testing it appears to be 
> over 97% effective.
>
> It requires no changes to the infrastructure, is resistant to spammer
> adaptation, and is very effective, yet very lightweight.
> 
> The paper outlining the method is at
> http://projects.puremagic.com/greylisting/ and I have also 
> posted an example implementation for a Sendmail Milter written in perl.

You seem to have reinvented something that CanIt, from Roaring Penguin,
has done for a while.

More information about CanIt at

    http://www.canit.ca/

I've copied David Skoll, the author, for comment.

N
-- 
1        1         2         3         4         5         6         7    7
         0         0         0         0         0         0         0    5
                                                    -- The 75 column-ometer
Global Messaging,                 A: Top posting
120 Cheapside, x83331             Q: What's the most annoying e-mail habit?

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: "David F. Skoll" <[email-masked]>
Date: Tue, 24 Jun 2003 09:57:28 -0400 (EDT)

> You seem to have reinvented something that CanIt, from Roaring Penguin,

I've corresponded with Evan about this.  His "greylisting" idea is a
bit more sophisticated/aggressive than what we call "hit-and-run"
prevention in CanIt.  He has taken the idea one step further.

In CanIt, we only care about sender/recipient pairs, and we don't
impose any time limits on retries.  Evan's scheme looks at
sender/recipient/IP-Address triples, and imposes lower and upper
limits on retries.

It is likely to be more effective than "hit-and-run", but also may
delay legitimate mail more and may cause problems in some (very
unusual) situations.

Regards,

David.